Package org.apache.sling.feature.maven.mojos.apis.spi

# Interface Source

All Known Implementing Classes:
  `DirectorySource`, `FileSource`

public interface Source
A list of source files

## Method Summary

Modifier and Type
Method
Description
`File`
`getBaseDirectory()`
The base directory - all files are in the directory sub tree of this directory
`List<File>`
`getFiles()`
The list of files

## Method Details

### getBaseDirectory

File getBaseDirectory()
The base directory - all files are in the directory sub tree of this directory

Returns:
  The base directory

### getFiles

List<File> getFiles()
The list of files

Returns:
  The list of files